> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metric data for a cluster chart

> Get the metric data for a single cluster chart. Call `GET /metrics/cluster/{id}/charts` (tool: `list_cluster_metric_charts`) first to get the chart and its input `params`.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/metrics/cluster/{id}/charts/{chart}
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/metrics/cluster/{id}/charts/{chart}:
    get:
      tags:
        - Metrics
      summary: Get metric data for a cluster chart
      description: >-
        Get the metric data for a single cluster chart. Call `GET
        /metrics/cluster/{id}/charts` (tool: `list_cluster_metric_charts`) first
        to get the chart and its input `params`.
      operationId: Metrics.getClusterChartData
      parameters:
        - name: chart
          required: true
          in: path
          description: Chart identifier returned by `list_cluster_metric_charts`.
          schema:
            type: string
            enum:
              - cpuUsage
              - quantileOverTimeCpuUsage
              - cpuThrottling
              - memoryUsage
              - networkBytes
              - diskThroughput
              - pvcUsage
              - workbenchHomeDirectoryUsage
              - requestVolume
              - requestDuration
              - successfulRuns
              - failedRuns
              - averageDuration
              - maximumDuration
              - dcgmGpuUtilization
              - dcgmGpuMemoryUsed
              - dcgmGpuTemperature
              - dcgmGpuPowerUsage
              - asyncServiceMessagesInProcess
              - asyncServiceMessagesProcessed
              - asyncServiceProcessingTime
              - asyncServiceOutputMessagePublishTime
              - asyncServiceProcessingFailures
              - asyncServiceOutputMessagePublishFailures
              - asyncServiceInputMessageFetchFailuresRate
              - asyncServiceInputMessageFetchAckFailuresRate
              - asyncServiceProcessingTimeHistogramMs
              - asyncServiceInputLatencyNs
              - asyncServiceKedaScalerMetricValue
              - kedaScalerMetricValue
              - rateOfInputTokensPerUser
              - rateOfEmbeddingInputTokensPerUser
              - rateOfOutputTokensPerUser
              - modelInferenceRequestLatency
              - rateOfModelInferenceRequest
              - rateOfModelInferenceError
              - rateOfModelInferenceErrorByPageType
              - rateOfModelInferenceErrorPercentage
              - embeddingModelInferenceRequestLatency
              - costOfInference
              - modelInferenceRequestPerResponseCode
              - inputTokensConsumed
              - outputTokensConsumed
              - configAffectedRequests
              - uniqueActiveUsers
              - timeToFirstToken
              - interTokenLatency
              - perOutputTokenLatency
              - modelUsageByUserOrVirtualAccount
              - virtualModelUsageByUserOrVirtualAccount
              - modelErrorDistribution
              - podStatus
              - clusterNodes
              - clusterPods
              - clusterCpuUsage
              - clusterMemoryUsage
              - clusterGpuNodes
              - clusterGpuCount
              - clusterGpuMemory
              - clusterVolumeUsage
              - clusterNetworkBytes
              - sparkJobCpuUsageForExecutors
              - sparkJobMemoryUsageForExecutors
              - sparkJobCpuUsageForDriver
              - sparkJobMemoryUsageForDriver
              - sparkJobNoOfExecutors
              - rateLimitingConfig
              - loadBalancingConfig
              - fallbackConfig
              - guardrailsConfig
              - budgetConfig
              - rateLimitRPS
              - rateLimitBlocked
              - loadBalanceRPS
              - loadBalanceAllModelFailed
              - loadBalanceModelDistribution
              - ratelimitRuleIdNominatedVsAppliedDistribution
              - budgetRuleIdNominatedVsAppliedDistribution
              - ratelimitBlockedDistributionByCreatedBySubject
              - budgetBlockedDistributionByCreatedBySubject
              - budgetRPS
              - budgetBlocked
              - containerRestarts
              - probeFailures
              - imagePullTime
              - rateOfRequestsPerMcpServer
              - latencyPerMcpServer
              - mcpServerErrors
              - mcpMethodCallsByMcpServer
              - requestFailuresByMcpServer
              - requestFailuresByMcpServerDistribution
              - rateOfRequestsPerTool
              - latencyPerTool
              - toolErrors
              - requestFailuresByTool
              - latencySummaryPerTool
              - requestsPerTool
              - mcpServerUsageBreakdown
              - mcpServerErrorBreakdown
              - rateOfRequestsPerMcpServerPerUser
              - latencyPerMcpServerPerUser
              - mcpServerErrorsPerUser
              - toolUsageBreakdown
              - toolErrorBreakdown
              - rateOfRequestsPerToolPerUser
              - latencyPerToolPerUser
              - toolErrorsPerUser
              - requestFailuresPerTool
              - requestFailuresSummaryPerTool
              - mcpErrorBreakdown
              - rateOfRequestsPerGuardrail
              - requestsPerSecondByResult
              - latencyPerGuardrail
              - flaggedRateOfRequestsPerGuardrail
              - mutatedRateOfRequestsPerGuardrail
              - inputRequestsBreakdownPerGuardrail
              - outputRequestsBreakdownPerGuardrail
              - flagAndMutationResultsBreakdownPerUser
              - guardrailErrors
              - latencySummaryPerGuardrail
              - requestBudgetLimited
              - topNUsersByUsage
              - topNVirtualAccountsByUsage
              - topNModelsByUsage
              - topNModelProvidersByUsage
              - topNMcpServersByUsage
              - topNToolsByUsage
              - topNUsersByMcp
              - topNVirtualAccountsByMcp
              - incomingRequestsByType
              - guardrailsOverview
              - errorBreakdown
              - errorBreakdownDetailed
              - mcpErrorBreakdownDetailed
              - meterLlmRequests
              - meterMcpRequests
              - meterTotalCost
              - guardrailResultsBreakdownByPage
              - guardrailBlockedByGuardrailsByPage
              - guardrailMutatedByGuardrailsByPage
              - guardrailUsageByPage
              - routingRuleTargetModelDistribution
              - routingDecisionsPerSecond
              - routingFailureRate
              - routingRuleUsageRate
              - rateLimitChecksRate
              - rateLimitExceededRate
              - rateLimitResultBreakdown
              - budgetLimitChecksRate
              - budgetLimitExceededRate
              - budgetLimitResultBreakdown
              - routingRuleUsageRateByUser
              - routingFailureRateByUser
              - routingRuleUsageBreakdown
              - rateLimitChecksRateByUser
              - rateLimitExceededRateByUser
              - rateLimitRuleUsageBreakdown
              - rateLimitRuleExceededBreakdown
              - rateLimitCheckResultBreakdown
              - budgetLimitChecksRateByUser
              - budgetLimitExceededRateByUser
              - budgetLimitRuleUsageBreakdown
              - budgetLimitRuleExceededBreakdown
              - budgetLimitCheckResultBreakdown
              - cacheEligibleRequests
              - cacheHitPercentage
              - cacheCostSavings
              - cacheErrors
              - cacheLookupLatency
              - providerCacheUsagePercentage
              - requestsPerSecondAgent
              - requestLatencyAgent
              - agentFailureRateByErrorType
              - agentRequestFailureRate
              - agentRequestFailuresBreakdown
              - agentUsageBreakdown
              - agentErrorBreakdown
        - name: id
          required: true
          in: path
          description: Unique identifier of the cluster.
          schema:
            type: string
        - name: startTs
          required: true
          in: query
          description: Start timestamp in milliseconds from epoch
          schema:
            example: '1735201111814'
            type: number
        - name: endTs
          required: true
          in: query
          description: End timestamp in milliseconds from epoch
          schema:
            example: '1735204711814'
            type: number
        - name: utcOffsetSeconds
          required: true
          in: query
          description: Caller UTC offset in seconds.
          schema:
            type: number
        - name: params
          required: true
          in: query
          description: >-
            JSON-encoded string describing the chart configuration. Call `GET
            /metrics/cluster/{id}/charts` (tool: `list_cluster_metric_charts`)
            to get available charts and pass `graphs[*].params` from that
            response unchanged.
          schema:
            type: string
      responses:
        '200':
          description: Returns the metric data for the cluster chart.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChartDataResponseDto'
        '404':
          description: Not Found. Cluster with provided id not found
      security:
        - jwt: []
      externalDocs:
        description: Get all Charts for Cluster
        url: https://your.documentation.link/metrics
components:
  schemas:
    ChartDataResponseDto:
      type: object
      properties:
        graph:
          description: Chart data payload.
          allOf:
            - $ref: '#/components/schemas/MetricsGraph'
        stepSize:
          type: number
          description: Query step size in seconds.
      required:
        - graph
        - stepSize
      title: ChartDataResponseDto
      x-fern-type-name: ChartDataResponseDto
    MetricsGraph:
      type: object
      properties:
        name:
          type: string
          description: Chart identifier (e.g. `cpuUsage`).
        displayName:
          type: string
          description: Human-readable chart name.
        description:
          type: string
          description: What this chart measures.
        aggregateValue:
          type: number
          description: Single aggregate value summarising the chart.
        aggregateUnit:
          type: string
          description: Unit label for `aggregateValue`.
          example: '% success rate'
        unit:
          type: string
          description: Y-axis unit for plotted values.
          example: cores
        graphLines:
          description: Data series plotted on this chart.
          type: array
          items:
            $ref: '#/components/schemas/MetricsGraphData'
        queryTypes:
          description: Series labels available on this chart.
          type: array
          items:
            type: string
        chartType:
          type: string
          enum:
            - line
            - vertical_line
            - stacked_bar
            - stacked_area
            - bubble
            - horizontal_bar
            - horizontal_stacked_bar
            - horizontal_box_plot
            - bar_list
          description: Chart visualisation type.
        thresholds:
          description: Reference thresholds for the series.
          type: array
          items:
            $ref: '#/components/schemas/Threshold'
      required:
        - name
        - graphLines
      title: MetricsGraph
      x-fern-type-name: MetricsGraph
    MetricsGraphData:
      type: object
      properties:
        name:
          type: string
          description: Series name.
        queryType:
          type: string
          description: Series identifier from the chart definition.
        values:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/MetricValue'
              - $ref: '#/components/schemas/BarGraphMetricValue'
          description: Series data points.
        totalCount:
          type: number
          description: Total observation count for this series.
        aggregateValue:
          type: object
          additionalProperties:
            type: number
          description: Per-key aggregate values for this series.
      required:
        - name
        - values
      title: MetricsGraphData
      x-fern-type-name: MetricsGraphData
    Threshold:
      type: object
      properties:
        mode:
          type: string
          enum:
            - absolute
          description: Interpretation mode for `value`.
        name:
          type: string
          description: Threshold name.
        value:
          type: number
          description: Threshold value in the same unit as the chart.
      required:
        - mode
        - name
        - value
      title: Threshold
      x-fern-type-name: Threshold
    MetricValue:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
          example: '2026-05-20T12:00:00.000Z'
          description: Data point timestamp.
        value:
          oneOf:
            - type: number
            - type: string
          description: Data point value.
      required:
        - timestamp
        - value
      title: MetricValue
      x-fern-type-name: MetricValue
    BarGraphMetricValue:
      type: object
      properties:
        name:
          type: string
          description: Bar label.
        value:
          type: number
          description: Bar value.
      required:
        - name
        - value
      title: BarGraphMetricValue
      x-fern-type-name: BarGraphMetricValue
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````